// Package docs Code generated by swaggo/swag. DO NOT EDIT
package docs

import "github.com/swaggo/swag"

const docTemplate = `{
    "schemes": {{ marshal .Schemes }},
    "swagger": "2.0",
    "info": {
        "description": "{{escape .Description}}",
        "title": "{{.Title}}",
        "contact": {
            "name": "Jay Sheen",
            "email": "sheen@jongyeob.com"
        },
        "version": "{{.Version}}"
    },
    "host": "{{.Host}}",
    "basePath": "{{.BasePath}}",
    "paths": {
        "/auth/login": {
            "post": {
                "description": "사용자가 로그인합니다.",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "로그인"
                ],
                "summary": "사용자 로그인 로그인",
                "parameters": [
                    {
                        "description": "Login Body",
                        "name": "loginBody",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/learnsteam_cslms-api_internal_models.LoginRequest"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/learnsteam_cslms-api_internal_models.LoginResponse"
                        }
                    }
                }
            }
        },
        "/auth/logout": {
            "post": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "로그아웃하고 Token, Cookie 삭제",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "로그아웃"
                ],
                "summary": "로그아웃",
                "responses": {}
            }
        },
        "/auth/register": {
            "post": {
                "description": "회원가입",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "회원가입"
                ],
                "summary": "회원가입",
                "parameters": [
                    {
                        "description": "Register Body",
                        "name": "registerBody",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/learnsteam_cslms-api_internal_models.RegisterRequest"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/learnsteam_cslms-api_internal_models.RegisterResponse"
                        }
                    }
                }
            }
        },
        "/center": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "센터 목록을 가져옵니다.",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "센터"
                ],
                "summary": "센터 목록 가져오기",
                "parameters": [
                    {
                        "type": "string",
                        "description": "검색어",
                        "name": "q",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "페이지",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "페이지 사이즈",
                        "name": "limit",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/learnsteam_cslms-api_internal_models.CenterListResponse"
                        }
                    }
                }
            },
            "post": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "센터를 만듭니다.",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "센터"
                ],
                "summary": "센터 생성",
                "parameters": [
                    {
                        "description": "Center Body",
                        "name": "quizBody",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/learnsteam_cslms-api_internal_models.CenterRequest"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/learnsteam_cslms-api_internal_models.Center"
                        }
                    }
                }
            }
        },
        "/center/{id}": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "ID로 센터 정보를 가져옵니다.",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "센터"
                ],
                "summary": "센터 정보 가져오기",
                "parameters": [
                    {
                        "type": "string",
                        "description": "센터 ID",
                        "name": "id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/learnsteam_cslms-api_internal_models.Center"
                        }
                    }
                }
            },
            "put": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "센터를 수정합니다.",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "센터"
                ],
                "summary": "센터 수정",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "Center ID",
                        "name": "id",
                        "in": "path",
                        "required": true
                    },
                    {
                        "description": "Center Body",
                        "name": "centerBody",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/learnsteam_cslms-api_internal_models.CenterRequest"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/learnsteam_cslms-api_internal_models.Center"
                        }
                    }
                }
            }
        },
        "/paper": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "목록을 가져옵니다.",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "페이퍼"
                ],
                "summary": "목록 가져오기",
                "parameters": [
                    {
                        "type": "string",
                        "description": "검색어",
                        "name": "q",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "페이지",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "페이지 사이즈",
                        "name": "limit",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/learnsteam_cslms-api_internal_models.PaperListResponse"
                        }
                    }
                }
            }
        },
        "/paper/{paper_id}": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "ID로 페이퍼 정보를 가져옵니다.",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "페이퍼"
                ],
                "summary": "페이퍼 정보 가져오기",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "Paper ID",
                        "name": "paper_id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/learnsteam_cslms-api_internal_models.PaperResponse"
                        }
                    }
                }
            }
        },
        "/paper/{paper_id}/finish": {
            "patch": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "퀴즈 종료합니다.",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "페이퍼"
                ],
                "summary": "퀴즈 종료",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "Paper ID",
                        "name": "paper_id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/learnsteam_cslms-api_internal_models.Paper"
                        }
                    }
                }
            }
        },
        "/paper/{paper_id}/quiz": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "퀴즈페이퍼 퀴즈 목록을 가져옵니다.",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "페이퍼"
                ],
                "summary": "퀴즈페이퍼 퀴즈 목록 가져오기",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "퀴즈페이퍼 ID",
                        "name": "paper_id",
                        "in": "path",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "페이지",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "페이지 사이즈",
                        "name": "limit",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/learnsteam_cslms-api_internal_models.PaperQuizListResponse"
                        }
                    }
                }
            }
        },
        "/paper/{paper_id}/quiz/{quiz_id}": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "ID로 퀴즈를 가져옵니다.",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "페이퍼"
                ],
                "summary": "퀴즈페이퍼 퀴즈 가져오기",
                "parameters": [
                    {
                        "type": "string",
                        "description": "Paper ID",
                        "name": "paper_id",
                        "in": "path",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "사용자퀴즈 ID",
                        "name": "quiz_id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/learnsteam_cslms-api_internal_models.PaperQuizResponse"
                        }
                    }
                }
            }
        },
        "/paper/{paper_id}/quiz/{quiz_id}/answer": {
            "patch": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "퀴즈 답변을 제출합니다..",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "페이퍼"
                ],
                "summary": "퀴즈 답변",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "Paper ID",
                        "name": "paper_id",
                        "in": "path",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "Quiz ID",
                        "name": "quiz_id",
                        "in": "path",
                        "required": true
                    },
                    {
                        "description": "Answer Body",
                        "name": "quizBody",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/learnsteam_cslms-api_internal_models.AnswerQuizRequest"
                        }
                    }
                ],
                "responses": {}
            }
        },
        "/paper/{paper_id}/start": {
            "patch": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "퀴즈 시작합니다.",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "페이퍼"
                ],
                "summary": "퀴즈 시작",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "Paper ID",
                        "name": "paper_id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/learnsteam_cslms-api_internal_models.Paper"
                        }
                    }
                }
            }
        },
        "/quiz": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "퀴즈 목록을 가져옵니다.",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "퀴즈"
                ],
                "summary": "퀴즈 목록 가져오기",
                "parameters": [
                    {
                        "type": "string",
                        "description": "퀴즈페이퍼 ID",
                        "name": "quiz_paper_id",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "검색어",
                        "name": "q",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "페이지",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "페이지 사이즈",
                        "name": "limit",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/learnsteam_cslms-api_internal_models.QuizListResponse"
                        }
                    }
                }
            },
            "post": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "퀴즈를 만듭니다.",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "퀴즈"
                ],
                "summary": "퀴즈 생성",
                "parameters": [
                    {
                        "description": "Quiz Body",
                        "name": "quizBody",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/learnsteam_cslms-api_internal_models.QuizRequest"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/learnsteam_cslms-api_internal_models.QuizResponse"
                        }
                    }
                }
            }
        },
        "/quiz/{id}": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "ID로 퀴즈를 가져옵니다.",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "퀴즈"
                ],
                "summary": "퀴즈 가져오기",
                "parameters": [
                    {
                        "type": "string",
                        "description": "퀴즈 ID",
                        "name": "id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/learnsteam_cslms-api_internal_models.QuizResponse"
                        }
                    }
                }
            },
            "put": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "퀴즈를 수정합니다.",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "퀴즈"
                ],
                "summary": "퀴즈 수정",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "Quiz ID",
                        "name": "id",
                        "in": "path",
                        "required": true
                    },
                    {
                        "description": "Quiz Body",
                        "name": "quizBody",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/learnsteam_cslms-api_internal_models.QuizRequest"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/learnsteam_cslms-api_internal_models.QuizResponse"
                        }
                    }
                }
            },
            "delete": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "퀴즈를 삭제합니다.",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "퀴즈"
                ],
                "summary": "퀴즈 삭제",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "Quiz ID",
                        "name": "id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {}
            }
        },
        "/quizpaper": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "퀴즈페이퍼 목록을 가져옵니다.",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "퀴즈페이퍼"
                ],
                "summary": "퀴즈페이퍼 목록 가져오기",
                "parameters": [
                    {
                        "type": "string",
                        "description": "태그",
                        "name": "tag",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "검색어",
                        "name": "q",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "페이지",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "페이지 사이즈",
                        "name": "limit",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/learnsteam_cslms-api_internal_models.QuizPaperListResponse"
                        }
                    }
                }
            },
            "post": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "퀴즈 퀴즈페이퍼을 만듭니다.",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "퀴즈페이퍼"
                ],
                "summary": "퀴즈 퀴즈페이퍼 생성",
                "parameters": [
                    {
                        "description": "QuizPaper Body",
                        "name": "quizPaperBody",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/learnsteam_cslms-api_internal_models.QuizPaperRequest"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/learnsteam_cslms-api_internal_models.QuizPaperResponse"
                        }
                    }
                }
            }
        },
        "/quizpaper/{id}": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "ID로 퀴즈 퀴즈페이퍼을 가져옵니다.",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "퀴즈페이퍼"
                ],
                "summary": "퀴즈 퀴즈페이퍼 가져오기",
                "parameters": [
                    {
                        "type": "string",
                        "description": "퀴즈 퀴즈페이퍼 ID",
                        "name": "id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/learnsteam_cslms-api_internal_models.QuizPaperResponse"
                        }
                    }
                }
            },
            "put": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "퀴즈 퀴즈페이퍼을 수정합니다.",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "퀴즈페이퍼"
                ],
                "summary": "퀴즈 퀴즈페이퍼 수정",
                "parameters": [
                    {
                        "type": "string",
                        "description": "퀴즈 퀴즈페이퍼 ID",
                        "name": "id",
                        "in": "path",
                        "required": true
                    },
                    {
                        "description": "QuizPaper Body",
                        "name": "quizPaperUpdateBody",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/learnsteam_cslms-api_internal_models.QuizPaperRequest"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/learnsteam_cslms-api_internal_models.QuizPaperResponse"
                        }
                    }
                }
            }
        },
        "/quizpaper/{id}/copy": {
            "post": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "퀴즈 퀴즈페이퍼와 퀴즈를 복사합니다.",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "퀴즈페이퍼"
                ],
                "summary": "퀴즈 퀴즈페이퍼 복사",
                "parameters": [
                    {
                        "type": "string",
                        "description": "퀴즈페이퍼 ID",
                        "name": "id",
                        "in": "path",
                        "required": true
                    },
                    {
                        "description": "QuizPaper Copy Body",
                        "name": "quizPaperCopyBody",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/learnsteam_cslms-api_internal_models.QuizPaperCopyRequest"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/learnsteam_cslms-api_internal_models.QuizPaperCopyResponse"
                        }
                    }
                }
            }
        },
        "/token/refresh": {
            "post": {
                "description": "AccessToken을 RefreshToken으로 갱신합니다.",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Token"
                ],
                "summary": "AccessToken Refresh",
                "parameters": [
                    {
                        "description": "RefreshToken",
                        "name": "refresh_token",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "type": "string"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/learnsteam_cslms-api_internal_models.Token"
                        }
                    }
                }
            }
        },
        "/user": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "사용자 목록을 가져옵니다.",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "사용자"
                ],
                "summary": "사용자 목록 가져오기",
                "parameters": [
                    {
                        "type": "string",
                        "description": "검색어",
                        "name": "q",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "페이지",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "페이지 사이즈",
                        "name": "limit",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/learnsteam_cslms-api_internal_models.UserListResponse"
                        }
                    }
                }
            }
        },
        "/user/{id}": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "ID로 사용자 정보를 가져옵니다.",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "사용자"
                ],
                "summary": "사용자 정보 가져오기",
                "parameters": [
                    {
                        "type": "string",
                        "description": "사용자 ID",
                        "name": "id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/learnsteam_cslms-api_internal_models.User"
                        }
                    }
                }
            }
        },
        "/userquiz": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "사용자퀴즈 목록을 가져옵니다.",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "사용자퀴즈"
                ],
                "summary": "사용자퀴즈 목록 가져오기",
                "parameters": [
                    {
                        "type": "string",
                        "description": "사용자퀴즈페이퍼 ID",
                        "name": "user_quiz_paper_id",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "검색어",
                        "name": "q",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "페이지",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "페이지 사이즈",
                        "name": "limit",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/learnsteam_cslms-api_internal_models.UserQuizListResponse"
                        }
                    }
                }
            },
            "post": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "사용자퀴즈를 만듭니다.",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "사용자퀴즈"
                ],
                "summary": "사용자퀴즈 생성",
                "parameters": [
                    {
                        "description": "UserQuiz Body",
                        "name": "quizBody",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/learnsteam_cslms-api_internal_models.UserQuizRequest"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/learnsteam_cslms-api_internal_models.UserQuizResponse"
                        }
                    }
                }
            }
        },
        "/userquiz/{id}": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "ID로 사용자퀴즈를 가져옵니다.",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "사용자퀴즈"
                ],
                "summary": "사용자퀴즈 가져오기",
                "parameters": [
                    {
                        "type": "string",
                        "description": "사용자퀴즈 ID",
                        "name": "id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/learnsteam_cslms-api_internal_models.UserQuizResponse"
                        }
                    }
                }
            },
            "put": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "사용자퀴즈를 수정합니다.",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "사용자퀴즈"
                ],
                "summary": "사용자퀴즈 수정",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "Quiz ID",
                        "name": "id",
                        "in": "path",
                        "required": true
                    },
                    {
                        "description": "Quiz Body",
                        "name": "quizBody",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/learnsteam_cslms-api_internal_models.UserQuizRequest"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/learnsteam_cslms-api_internal_models.UserQuizResponse"
                        }
                    }
                }
            },
            "patch": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "사용자퀴즈 답변을 제출합니다..",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "사용자퀴즈"
                ],
                "summary": "사용자퀴즈 답변",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "Quiz ID",
                        "name": "id",
                        "in": "path",
                        "required": true
                    },
                    {
                        "description": "Answer Body",
                        "name": "quizBody",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/learnsteam_cslms-api_internal_models.AnswerQuizRequest"
                        }
                    }
                ],
                "responses": {}
            }
        },
        "/userquizpaper": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "응시 목록을 가져옵니다.",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "사용자퀴즈페이퍼"
                ],
                "summary": "응시 목록 가져오기",
                "parameters": [
                    {
                        "type": "string",
                        "description": "검색어",
                        "name": "q",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "페이지",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "페이지 사이즈",
                        "name": "limit",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/learnsteam_cslms-api_internal_models.UserQuizPaperListResponse"
                        }
                    }
                }
            },
            "post": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "응시 매칭을 만듭니다.",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "사용자퀴즈페이퍼"
                ],
                "summary": "응시 매칭 생성",
                "parameters": [
                    {
                        "description": "UserQuizPaper Body",
                        "name": "userQuizPaperBody",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/learnsteam_cslms-api_internal_models.UserQuizPaperRequest"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "type": "array",
                            "items": {
                                "$ref": "#/definitions/learnsteam_cslms-api_internal_models.UserQuizPaper"
                            }
                        }
                    }
                }
            }
        },
        "/userquizpaper/{id}": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "ID로 응시 정보를 가져옵니다.",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "사용자퀴즈페이퍼"
                ],
                "summary": "응시 정보 가져오기",
                "parameters": [
                    {
                        "type": "string",
                        "description": "응시 ID",
                        "name": "id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/learnsteam_cslms-api_internal_models.UserQuizPaperResponse"
                        }
                    }
                }
            },
            "put": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "응시를 수정합니다.",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "사용자퀴즈페이퍼"
                ],
                "summary": "응시 수정",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "UserQuizPaper ID",
                        "name": "id",
                        "in": "path",
                        "required": true
                    },
                    {
                        "description": "UserQuizPaper Update Body",
                        "name": "userQuizPaperUpdateBody",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/learnsteam_cslms-api_internal_models.UserQuizPaperUpdateRequest"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/learnsteam_cslms-api_internal_models.UserQuizPaperResponse"
                        }
                    }
                }
            },
            "patch": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "응시 정보를 변경합니다.",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "사용자퀴즈페이퍼"
                ],
                "summary": "응시 정보 변경",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "UserQuizPaper ID",
                        "name": "id",
                        "in": "path",
                        "required": true
                    },
                    {
                        "description": "UserQuizPaper Patch Body (변경할 필드만 입력)",
                        "name": "userQuizPaperPatchBody",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/learnsteam_cslms-api_internal_models.UserQuizPaperPatchRequest"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/learnsteam_cslms-api_internal_models.UserQuizPaper"
                        }
                    }
                }
            }
        }
    },
    "definitions": {
        "learnsteam_cslms-api_internal_models.AnswerQuizRequest": {
            "type": "object",
            "properties": {
                "answer": {
                    "type": "array",
                    "items": {
                        "type": "string"
                    },
                    "example": [
                        "option1",
                        "option4"
                    ]
                }
            }
        },
        "learnsteam_cslms-api_internal_models.Center": {
            "type": "object",
            "properties": {
                "center_name": {
                    "type": "string",
                    "example": "learnsteam_kd"
                },
                "center_title": {
                    "type": "string",
                    "example": "강동런스팀로봇코딩학원"
                },
                "company_info": {
                    "type": "string",
                    "example": "사업자정보-json 기타 정보 추가 가능"
                },
                "content_page": {
                    "type": "string",
                    "example": "학원상세페이지, html/마크다운/text"
                },
                "guid_id": {
                    "type": "string",
                    "example": "2036023a-fb56-4b6c-b3bb-c787c681ada6"
                },
                "id": {
                    "type": "integer",
                    "example": 100001
                },
                "memo": {
                    "type": "string",
                    "example": "메모"
                },
                "owner_id": {
                    "type": "integer",
                    "example": 100001
                },
                "status": {
                    "type": "string",
                    "example": "on"
                }
            }
        },
        "learnsteam_cslms-api_internal_models.CenterListResponse": {
            "type": "object",
            "properties": {
                "data": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/learnsteam_cslms-api_internal_models.Center"
                    }
                },
                "page": {
                    "type": "integer",
                    "example": 1
                },
                "pageSize": {
                    "type": "integer",
                    "example": 10
                },
                "total": {
                    "type": "integer",
                    "example": 5
                },
                "totalPage": {
                    "type": "integer",
                    "example": 1
                }
            }
        },
        "learnsteam_cslms-api_internal_models.CenterRequest": {
            "type": "object",
            "properties": {
                "center_name": {
                    "type": "string",
                    "example": "learnsteam_kd"
                },
                "center_title": {
                    "type": "string",
                    "example": "강동런스팀로봇코딩학원"
                },
                "company_info": {
                    "type": "string",
                    "example": "사업자정보-json 기타 정보 추가 가능"
                },
                "content_page": {
                    "type": "string",
                    "example": "학원상세페이지, html/마크다운/text"
                },
                "memo": {
                    "type": "string",
                    "example": "메모"
                },
                "owner_id": {
                    "type": "integer",
                    "example": 100001
                },
                "status": {
                    "type": "string",
                    "example": "on"
                }
            }
        },
        "learnsteam_cslms-api_internal_models.LoginRequest": {
            "type": "object",
            "properties": {
                "password": {
                    "type": "string",
                    "example": "testme"
                },
                "user_name": {
                    "type": "string",
                    "example": "admin0"
                }
            }
        },
        "learnsteam_cslms-api_internal_models.LoginResponse": {
            "type": "object",
            "properties": {
                "refresh_token": {
                    "type": "string",
                    "example": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJhdXRob3JpemVkIjp0cnVlLCJleHAiOjE3MDc4OTcwMjcs"
                },
                "token": {
                    "type": "string",
                    "example": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJhdXRob3JpemVkIjp0cnVlLCJleHAiOjE3MDI3MTMwMjcsInN1"
                },
                "user": {
                    "$ref": "#/definitions/learnsteam_cslms-api_internal_models.User"
                }
            }
        },
        "learnsteam_cslms-api_internal_models.Paper": {
            "type": "object",
            "properties": {
                "center_id": {
                    "type": "integer",
                    "example": 1000015
                },
                "done_at": {
                    "type": "string"
                },
                "guid_id": {
                    "type": "string",
                    "example": "7f9329f5-2e36-4638-92d2-73064b7291a4"
                },
                "id": {
                    "type": "integer",
                    "example": 1000015
                },
                "quiz_count": {
                    "type": "integer",
                    "example": 5
                },
                "quiz_paper_id": {
                    "type": "integer",
                    "example": 1000001
                },
                "start_at": {
                    "type": "string"
                },
                "status": {
                    "type": "string",
                    "example": "wating"
                },
                "total_score": {
                    "type": "number",
                    "example": 100
                },
                "user_id": {
                    "type": "integer",
                    "example": 1000002
                },
                "user_score": {
                    "type": "number",
                    "example": 5
                }
            }
        },
        "learnsteam_cslms-api_internal_models.PaperListResponse": {
            "type": "object",
            "properties": {
                "data": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/learnsteam_cslms-api_internal_models.PaperResponse"
                    }
                },
                "page": {
                    "type": "integer",
                    "example": 1
                },
                "pageSize": {
                    "type": "integer",
                    "example": 10
                },
                "total": {
                    "type": "integer",
                    "example": 999
                },
                "totalPage": {
                    "type": "integer",
                    "example": 99
                }
            }
        },
        "learnsteam_cslms-api_internal_models.PaperQuizListResponse": {
            "type": "object",
            "properties": {
                "data": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/learnsteam_cslms-api_internal_models.UserQuizResponse"
                    }
                },
                "page": {
                    "type": "integer",
                    "example": 1
                },
                "pageSize": {
                    "type": "integer",
                    "example": 10
                },
                "total": {
                    "type": "integer",
                    "example": 5
                },
                "totalPage": {
                    "type": "integer",
                    "example": 1
                }
            }
        },
        "learnsteam_cslms-api_internal_models.PaperQuizResponse": {
            "type": "object",
            "properties": {
                "center_id": {
                    "type": "string",
                    "example": "2036023a-fb56-4b6c-b3bb-c787c681ada6"
                },
                "content": {
                    "$ref": "#/definitions/learnsteam_cslms-api_internal_models.QuizContent"
                },
                "guid_id": {
                    "type": "string",
                    "example": "2036023a-fb56-4b6c-b3bb-c787c681ada6"
                },
                "id": {
                    "type": "integer",
                    "example": 1000001
                },
                "question": {
                    "type": "string",
                    "example": "퀴즈 질문입니다."
                },
                "question_type": {
                    "type": "string",
                    "example": "check"
                },
                "quiz_id": {
                    "type": "integer",
                    "example": 1000001
                },
                "result": {
                    "type": "string",
                    "example": "success"
                },
                "score": {
                    "type": "number",
                    "example": 10
                },
                "status": {
                    "type": "string",
                    "example": "waiting"
                },
                "user_id": {
                    "type": "integer",
                    "example": 1000001
                },
                "user_quiz_paper_id": {
                    "type": "integer",
                    "example": 1000001
                },
                "vol_no": {
                    "type": "integer",
                    "example": 5
                }
            }
        },
        "learnsteam_cslms-api_internal_models.PaperResponse": {
            "type": "object",
            "properties": {
                "category": {
                    "type": "string",
                    "example": "파이썬기본"
                },
                "center_id": {
                    "type": "integer",
                    "example": 1000015
                },
                "created_at": {
                    "type": "string"
                },
                "done_at": {
                    "type": "string"
                },
                "first_name": {
                    "type": "string",
                    "example": "길순"
                },
                "guid_id": {
                    "type": "string",
                    "example": "7f9329f5-2e36-4638-92d2-73064b7291a4"
                },
                "id": {
                    "type": "integer",
                    "example": 1000015
                },
                "last_name": {
                    "type": "string",
                    "example": "홍"
                },
                "quiz_count": {
                    "type": "integer",
                    "example": 5
                },
                "quiz_paper_id": {
                    "type": "integer",
                    "example": 1000001
                },
                "start_at": {
                    "type": "string"
                },
                "status": {
                    "type": "string",
                    "example": "wating"
                },
                "title": {
                    "type": "string",
                    "example": "출력 Print"
                },
                "total_score": {
                    "type": "number",
                    "example": 100
                },
                "user_id": {
                    "type": "integer",
                    "example": 1000002
                },
                "user_score": {
                    "type": "number",
                    "example": 5
                }
            }
        },
        "learnsteam_cslms-api_internal_models.Quiz": {
            "type": "object",
            "properties": {
                "answer": {
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                },
                "center_id": {
                    "type": "integer",
                    "example": 100001
                },
                "content": {
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                },
                "guid_id": {
                    "type": "string",
                    "example": "2036023a-fb56-4b6c-b3bb-c787c681ada6"
                },
                "id": {
                    "type": "integer",
                    "example": 1000001
                },
                "question": {
                    "type": "string",
                    "example": "퀴즈 질문입니다."
                },
                "question_type": {
                    "type": "string",
                    "example": "choice"
                },
                "quiz_paper_id": {
                    "type": "integer",
                    "example": 100001
                },
                "vol_no": {
                    "type": "integer",
                    "example": 5
                }
            }
        },
        "learnsteam_cslms-api_internal_models.QuizContent": {
            "type": "object",
            "properties": {
                "hint": {
                    "type": "string",
                    "example": "markdown문서로 작성됨"
                },
                "option1": {
                    "type": "string",
                    "example": "markdown 문서로 작성됨"
                },
                "option2": {
                    "type": "string",
                    "example": "markdown 문서로 작성됨"
                },
                "option3": {
                    "type": "string",
                    "example": "markdown 문서로 작성됨"
                },
                "option4": {
                    "type": "string",
                    "example": "markdown 문서로 작성됨"
                }
            }
        },
        "learnsteam_cslms-api_internal_models.QuizListResponse": {
            "type": "object",
            "properties": {
                "data": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/learnsteam_cslms-api_internal_models.QuizResponse"
                    }
                },
                "page": {
                    "type": "integer",
                    "example": 1
                },
                "pageSize": {
                    "type": "integer",
                    "example": 10
                },
                "total": {
                    "type": "integer",
                    "example": 5
                },
                "totalPage": {
                    "type": "integer",
                    "example": 1
                }
            }
        },
        "learnsteam_cslms-api_internal_models.QuizPaper": {
            "type": "object",
            "properties": {
                "category": {
                    "type": "string",
                    "example": "파이썬기본"
                },
                "center_id": {
                    "type": "integer",
                    "example": 100001
                },
                "content": {
                    "type": "string",
                    "example": "퀴즈 시트 설명"
                },
                "created_at": {
                    "type": "string",
                    "example": "2023-11-10T13:10:00+09:00"
                },
                "guid_id": {
                    "type": "string",
                    "example": "ef74c59a-c707-4162-a52b-455906c81ec1"
                },
                "id": {
                    "type": "integer",
                    "example": 100001
                },
                "manager_id": {
                    "type": "integer",
                    "example": 100001
                },
                "quiz_count": {
                    "type": "integer",
                    "example": 5
                },
                "status": {
                    "type": "string",
                    "example": "on"
                },
                "tag": {
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                },
                "title": {
                    "type": "string",
                    "example": "퀴즈 시트 제목"
                }
            }
        },
        "learnsteam_cslms-api_internal_models.QuizPaperCopyRequest": {
            "type": "object",
            "properties": {
                "center_id": {
                    "type": "integer",
                    "example": 100002
                },
                "title": {
                    "type": "string",
                    "example": "퀴즈 시트 제목"
                }
            }
        },
        "learnsteam_cslms-api_internal_models.QuizPaperCopyResponse": {
            "type": "object",
            "properties": {
                "quiz": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/learnsteam_cslms-api_internal_models.Quiz"
                    }
                },
                "quiz_paper": {
                    "$ref": "#/definitions/learnsteam_cslms-api_internal_models.QuizPaper"
                }
            }
        },
        "learnsteam_cslms-api_internal_models.QuizPaperListResponse": {
            "type": "object",
            "properties": {
                "data": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/learnsteam_cslms-api_internal_models.QuizPaper"
                    }
                },
                "page": {
                    "type": "integer",
                    "example": 1
                },
                "pageSize": {
                    "type": "integer",
                    "example": 10
                },
                "total": {
                    "type": "integer",
                    "example": 999
                },
                "totalPage": {
                    "type": "integer",
                    "example": 99
                }
            }
        },
        "learnsteam_cslms-api_internal_models.QuizPaperRequest": {
            "type": "object",
            "properties": {
                "category": {
                    "type": "string",
                    "example": "파이썬기본"
                },
                "center_id": {
                    "type": "integer",
                    "example": 100001
                },
                "content": {
                    "type": "string",
                    "example": "퀴즈 시트 설명"
                },
                "status": {
                    "type": "string",
                    "example": "on"
                },
                "tag": {
                    "type": "array",
                    "items": {
                        "type": "string"
                    },
                    "example": [
                        "Python",
                        "AI",
                        "Robot",
                        "파이썬"
                    ]
                },
                "title": {
                    "type": "string",
                    "example": "퀴즈 시트 제목"
                }
            }
        },
        "learnsteam_cslms-api_internal_models.QuizPaperResponse": {
            "type": "object",
            "properties": {
                "category": {
                    "type": "string",
                    "example": "파이썬기본"
                },
                "center_id": {
                    "type": "integer",
                    "example": 100001
                },
                "content": {
                    "type": "string",
                    "example": "퀴즈 시트 설명"
                },
                "created_at": {
                    "type": "string",
                    "example": "2023-11-10T13:10:00+09:00"
                },
                "id": {
                    "type": "integer",
                    "example": 100001
                },
                "manager_id": {
                    "type": "integer",
                    "example": 100001
                },
                "quiz_count": {
                    "type": "integer",
                    "example": 5
                },
                "status": {
                    "type": "string",
                    "example": "on"
                },
                "tag": {
                    "type": "array",
                    "items": {
                        "type": "string"
                    },
                    "example": [
                        "Python",
                        "AI",
                        "Robot",
                        "파이썬"
                    ]
                },
                "title": {
                    "type": "string",
                    "example": "퀴즈 시트 제목"
                }
            }
        },
        "learnsteam_cslms-api_internal_models.QuizRequest": {
            "type": "object",
            "properties": {
                "answer": {
                    "type": "array",
                    "items": {
                        "type": "string"
                    },
                    "example": [
                        "option1",
                        "option2"
                    ]
                },
                "center_id": {
                    "type": "integer",
                    "example": 1000001
                },
                "content": {
                    "$ref": "#/definitions/learnsteam_cslms-api_internal_models.QuizContent"
                },
                "question": {
                    "type": "string",
                    "example": "질문입니다."
                },
                "question_type": {
                    "type": "string",
                    "example": "choice"
                },
                "quiz_paper_id": {
                    "type": "integer",
                    "example": 1000001
                },
                "vol_no": {
                    "type": "integer",
                    "example": 1
                }
            }
        },
        "learnsteam_cslms-api_internal_models.QuizResponse": {
            "type": "object",
            "properties": {
                "answer": {
                    "type": "array",
                    "items": {
                        "type": "string"
                    },
                    "example": [
                        "option1",
                        "option2"
                    ]
                },
                "content": {
                    "$ref": "#/definitions/learnsteam_cslms-api_internal_models.QuizContent"
                },
                "id": {
                    "type": "integer",
                    "example": 1000001
                },
                "question": {
                    "type": "string",
                    "example": "퀴즈 질문입니다."
                },
                "question_type": {
                    "type": "string",
                    "example": "check"
                },
                "quiz_paper_id": {
                    "type": "integer",
                    "example": 1000001
                },
                "vol_no": {
                    "type": "integer",
                    "example": 5
                }
            }
        },
        "learnsteam_cslms-api_internal_models.RegisterRequest": {
            "type": "object",
            "properties": {
                "first_name": {
                    "type": "string",
                    "example": "길순"
                },
                "gender": {
                    "type": "string",
                    "example": "F"
                },
                "last_name": {
                    "type": "string",
                    "example": "홍"
                },
                "password": {
                    "type": "string",
                    "example": "StrongPass!@#$"
                },
                "phone_cs": {
                    "type": "string",
                    "example": "01012345678"
                },
                "upload_image": {
                    "type": "string",
                    "example": ""
                },
                "user_name": {
                    "type": "string",
                    "example": "gilsoon"
                },
                "user_role": {
                    "type": "string",
                    "example": "member"
                }
            }
        },
        "learnsteam_cslms-api_internal_models.RegisterResponse": {
            "type": "object",
            "properties": {
                "refresh_token": {
                    "type": "string",
                    "example": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJhdXRob3JpemVkIjp0cnVlLCJleHAiOjE3MDc4OTcwMjcs"
                },
                "token": {
                    "type": "string",
                    "example": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJhdXRob3JpemVkIjp0cnVlLCJleHAiOjE3MDI3MTMwMjcsInN1"
                },
                "user": {
                    "$ref": "#/definitions/learnsteam_cslms-api_internal_models.User"
                }
            }
        },
        "learnsteam_cslms-api_internal_models.Token": {
            "type": "object",
            "properties": {
                "ending_at": {
                    "type": "string"
                },
                "refresh_token": {
                    "type": "string"
                },
                "register_at": {
                    "type": "string"
                },
                "status": {
                    "type": "string"
                },
                "token": {
                    "type": "string"
                },
                "user_id": {
                    "type": "integer"
                }
            }
        },
        "learnsteam_cslms-api_internal_models.User": {
            "type": "object",
            "properties": {
                "first_name": {
                    "type": "string",
                    "example": "길순"
                },
                "gender": {
                    "type": "string",
                    "example": "F"
                },
                "guid_id": {
                    "type": "string",
                    "example": "137c1683-2ad6-4201-b256-253828b61c49"
                },
                "id": {
                    "type": "integer",
                    "example": 100001
                },
                "last_name": {
                    "type": "string",
                    "example": "홍"
                },
                "memo_cs": {
                    "type": "string",
                    "example": "사용자 메모"
                },
                "phone_cs": {
                    "type": "string",
                    "example": "010-1234-5678"
                },
                "register_at": {
                    "type": "string"
                },
                "upload_image": {
                    "type": "string",
                    "example": "image_url"
                },
                "user_name": {
                    "type": "string",
                    "example": "user0"
                },
                "user_role": {
                    "type": "string",
                    "example": "member"
                }
            }
        },
        "learnsteam_cslms-api_internal_models.UserListResponse": {
            "type": "object",
            "properties": {
                "data": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/learnsteam_cslms-api_internal_models.User"
                    }
                },
                "page": {
                    "type": "integer",
                    "example": 1
                },
                "pageSize": {
                    "type": "integer",
                    "example": 10
                },
                "total": {
                    "type": "integer",
                    "example": 90
                },
                "totalPage": {
                    "type": "integer",
                    "example": 9
                }
            }
        },
        "learnsteam_cslms-api_internal_models.UserQuizListResponse": {
            "type": "object",
            "properties": {
                "data": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/learnsteam_cslms-api_internal_models.UserQuizResponse"
                    }
                },
                "page": {
                    "type": "integer",
                    "example": 1
                },
                "pageSize": {
                    "type": "integer",
                    "example": 10
                },
                "total": {
                    "type": "integer",
                    "example": 5
                },
                "totalPage": {
                    "type": "integer",
                    "example": 1
                }
            }
        },
        "learnsteam_cslms-api_internal_models.UserQuizPaper": {
            "type": "object",
            "properties": {
                "center_id": {
                    "type": "integer",
                    "example": 1000015
                },
                "done_at": {
                    "type": "string"
                },
                "guid_id": {
                    "type": "string",
                    "example": "7f9329f5-2e36-4638-92d2-73064b7291a4"
                },
                "id": {
                    "type": "integer",
                    "example": 1000015
                },
                "quiz_count": {
                    "type": "integer",
                    "example": 5
                },
                "quiz_paper_id": {
                    "type": "integer",
                    "example": 1000001
                },
                "start_at": {
                    "type": "string"
                },
                "status": {
                    "type": "string",
                    "example": "wating"
                },
                "total_score": {
                    "type": "number",
                    "example": 5
                },
                "user_id": {
                    "type": "integer",
                    "example": 1000002
                },
                "user_score": {
                    "type": "number",
                    "example": 5
                }
            }
        },
        "learnsteam_cslms-api_internal_models.UserQuizPaperListResponse": {
            "type": "object",
            "properties": {
                "data": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/learnsteam_cslms-api_internal_models.UserQuizPaperResponse"
                    }
                },
                "page": {
                    "type": "integer",
                    "example": 1
                },
                "pageSize": {
                    "type": "integer",
                    "example": 10
                },
                "total": {
                    "type": "integer",
                    "example": 999
                },
                "totalPage": {
                    "type": "integer",
                    "example": 99
                }
            }
        },
        "learnsteam_cslms-api_internal_models.UserQuizPaperPatchRequest": {
            "type": "object",
            "properties": {
                "done_at": {
                    "type": "string",
                    "example": "2023-11-10T13:25:00+09:00"
                },
                "start_at": {
                    "type": "string",
                    "example": "2023-11-10T13:10:00+09:00"
                },
                "status": {
                    "type": "string",
                    "example": "ready"
                },
                "total_score": {
                    "type": "number",
                    "example": 80
                },
                "user_score": {
                    "type": "number",
                    "example": 4
                }
            }
        },
        "learnsteam_cslms-api_internal_models.UserQuizPaperRequest": {
            "type": "object",
            "properties": {
                "quiz_paper_id": {
                    "type": "integer",
                    "example": 1000002
                },
                "users": {
                    "type": "array",
                    "items": {
                        "type": "integer"
                    },
                    "example": [
                        1000001,
                        1000002,
                        1000003,
                        1000004
                    ]
                }
            }
        },
        "learnsteam_cslms-api_internal_models.UserQuizPaperResponse": {
            "type": "object",
            "properties": {
                "category": {
                    "type": "string",
                    "example": "파이썬기본"
                },
                "center_id": {
                    "type": "integer",
                    "example": 1000015
                },
                "created_at": {
                    "type": "string"
                },
                "done_at": {
                    "type": "string"
                },
                "first_name": {
                    "type": "string",
                    "example": "길순"
                },
                "guid_id": {
                    "type": "string",
                    "example": "7f9329f5-2e36-4638-92d2-73064b7291a4"
                },
                "id": {
                    "type": "integer",
                    "example": 1000015
                },
                "last_name": {
                    "type": "string",
                    "example": "홍"
                },
                "quiz_count": {
                    "type": "integer",
                    "example": 5
                },
                "quiz_paper_id": {
                    "type": "integer",
                    "example": 1000001
                },
                "start_at": {
                    "type": "string"
                },
                "status": {
                    "type": "string",
                    "example": "wating"
                },
                "title": {
                    "type": "string",
                    "example": "출력 Print"
                },
                "total_score": {
                    "type": "number",
                    "example": 100
                },
                "user_id": {
                    "type": "integer",
                    "example": 1000002
                },
                "user_score": {
                    "type": "number",
                    "example": 5
                }
            }
        },
        "learnsteam_cslms-api_internal_models.UserQuizPaperUpdateRequest": {
            "type": "object",
            "properties": {
                "done_at": {
                    "type": "string",
                    "example": "2023-11-10T13:25:00+09:00"
                },
                "quiz_paper_id": {
                    "type": "integer",
                    "example": 1000002
                },
                "start_at": {
                    "type": "string",
                    "example": "2023-11-10T13:10:00+09:00"
                },
                "status": {
                    "type": "string",
                    "example": "ready"
                },
                "total_score": {
                    "type": "number",
                    "example": 100
                },
                "user_id": {
                    "type": "integer",
                    "example": 1000003
                },
                "user_score": {
                    "type": "number",
                    "example": 5
                }
            }
        },
        "learnsteam_cslms-api_internal_models.UserQuizRequest": {
            "type": "object",
            "properties": {
                "answer": {
                    "type": "array",
                    "items": {
                        "type": "string"
                    },
                    "example": [
                        "option1",
                        "option2"
                    ]
                },
                "center_id": {
                    "type": "integer",
                    "example": 1000001
                },
                "content": {
                    "$ref": "#/definitions/learnsteam_cslms-api_internal_models.QuizContent"
                },
                "question": {
                    "type": "string",
                    "example": "질문입니다."
                },
                "question_type": {
                    "type": "string",
                    "example": "choice"
                },
                "quiz_id": {
                    "type": "integer",
                    "example": 1000001
                },
                "quiz_paper_id": {
                    "type": "integer",
                    "example": 1000001
                },
                "result": {
                    "type": "string",
                    "example": "success"
                },
                "score": {
                    "type": "number",
                    "example": 10
                },
                "status": {
                    "type": "string",
                    "example": "waiting"
                },
                "user_id": {
                    "type": "integer",
                    "example": 1000001
                },
                "vol_no": {
                    "type": "integer",
                    "example": 1
                }
            }
        },
        "learnsteam_cslms-api_internal_models.UserQuizResponse": {
            "type": "object",
            "properties": {
                "answer": {
                    "type": "array",
                    "items": {
                        "type": "string"
                    },
                    "example": [
                        "option1",
                        "option2"
                    ]
                },
                "center_id": {
                    "type": "string",
                    "example": "2036023a-fb56-4b6c-b3bb-c787c681ada6"
                },
                "content": {
                    "$ref": "#/definitions/learnsteam_cslms-api_internal_models.QuizContent"
                },
                "guid_id": {
                    "type": "string",
                    "example": "2036023a-fb56-4b6c-b3bb-c787c681ada6"
                },
                "id": {
                    "type": "integer",
                    "example": 1000001
                },
                "question": {
                    "type": "string",
                    "example": "퀴즈 질문입니다."
                },
                "question_type": {
                    "type": "string",
                    "example": "check"
                },
                "quiz_id": {
                    "type": "integer",
                    "example": 1000001
                },
                "result": {
                    "type": "string",
                    "example": "success"
                },
                "score": {
                    "type": "number",
                    "example": 10
                },
                "status": {
                    "type": "string",
                    "example": "waiting"
                },
                "user_id": {
                    "type": "integer",
                    "example": 1000001
                },
                "user_quiz_paper_id": {
                    "type": "integer",
                    "example": 1000001
                },
                "vol_no": {
                    "type": "integer",
                    "example": 5
                }
            }
        }
    },
    "securityDefinitions": {
        "Bearer": {
            "type": "apiKey",
            "name": "Authorization",
            "in": "header"
        }
    }
}`

// SwaggerInfo holds exported Swagger Info so clients can modify it
var SwaggerInfo = &swag.Spec{
	Version:          "1.0",
	Host:             "",
	BasePath:         "",
	Schemes:          []string{},
	Title:            "Learnsteam CodingSchool API",
	Description:      "Learnsteam CodingSchool API",
	InfoInstanceName: "swagger",
	SwaggerTemplate:  docTemplate,
	LeftDelim:        "{{",
	RightDelim:       "}}",
}

func init() {
	swag.Register(SwaggerInfo.InstanceName(), SwaggerInfo)
}
